//
// Created by hoelshare on 27.05.17.
//

#ifndef GPN_BADGELASERTAG_HITPACKET_HPP
#define GPN_BADGELASERTAG_HITPACKET_HPP

#include "url-encode.h"

struct HitPacket {
    int playerId;
    String nickname;
    int lastHp;
#define TYP "hit"
    String serial(){
        String ret = "";
        ret += "typ=" + String(TYP);
        ret += "&pid=" + String(playerId);
        ret += "&nick=" + String(nickname);
        ret += "&lastHP=" + String(lastHp);
        return ret;
    }

    static HitPacket* read(String value) {
        UrlDecode decode(value.c_str());
        HitPacket* ret = new HitPacket();
        ret->lastHp = int(decode.getKey("lastHP"));
        ret->nickname = String(decode.getKey("nick"));
        ret->playerId = int(decode.getKey("pid"));
        return ret;
    }
};

#endif //GPN_BADGELASERTAG_HITPACKET_HPP
